package com.hw.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.TreeEntity;

/**
 * 物料类型信息对象 mes_base_material_type
 *
 * @author Yinq
 * @date 2024-01-23
 */
public class MesBaseMaterialType extends TreeEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long matrialTypeId;

    /**
     * 类型编号
     */
    @Excel(name = "类型编号")
    private String typeCode;

    /**
     * 类型名称
     */
    @Excel(name = "类型名称")
    private String typeName;

    /**
     * 激活标识
     */
    @Excel(name = "激活标识")
    private String activeFlag;

    public void setMatrialTypeId(Long matrialTypeId) {
        this.matrialTypeId = matrialTypeId;
    }

    public Long getMatrialTypeId() {
        return matrialTypeId;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setActiveFlag(String activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getActiveFlag() {
        return activeFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("matrialTypeId", getMatrialTypeId())
                .append("parentId", getParentId())
                .append("typeCode", getTypeCode())
                .append("typeName", getTypeName())
                .append("activeFlag", getActiveFlag())
                .append("ancestors", getAncestors())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
